
	/* protos for minimieryak.c	*/

#define ERR_MINIMIER 10

typedef struct {
  SWResult *swres;
  double score;
} ctree, *ctreePtr;

double GetSWScore(void *s);
double GetSWRMS(void *s);
int ComparScore(double s1, double s2);
int ComparNewRMS(double s1, double s2);

int      sCtreeComparCroissant(const void *x, const void *y);
int      sCtreeComparDecroissant(const void *x, const void *y);

void init_minimier(int keep_struct);
void Free_Minimier(void);
void ReInit_Minimier(void);
SWResult *range(SWResult *swres, double (*getscore)(void *), int (*compar)(double, double));
SWResult *get_minimier_swres(int rang, int (*qscompar)(const void *, const void *));







