/* ---------------------------------------------------- */
/* SpIMac V 0.0 					*/
/* <Gloup> Nov. 93					*/
/*							*/
/* @file: sv.h						*/
/*							*/
/* sv (num. recipes) header				*/
/*							*/
/* ---------------------------------------------------- */

#define _H_nr_util

/* ---------------------------- */
/* Constantes			*/
/* ---------------------------- */

#define SV_ALONE	0	/* 1 if sv should be used without SK	*/

/* ---------------------------- */
/* Data types			*/
/* ---------------------------- */


/* ---------------------------- */
/* Globals 			*/
/* ---------------------------- */

/* ---------------------------- */
/* Prototypes			*/
/* ---------------------------- */

				/* in nr_util.c				*/

void		nrerror(char *error_text);

float		*vector(int nl, int nh);
int			*ivector(int nl, int nh);
double		*dvector(int nl, int nh);
float		**matrix(int nrl, int nrh, int ncl, int nch);
double		**dmatrix(int nrl, int nrh, int ncl, int nch);
int			**imatrix(int nrl, int nrh, int ncl, int nch);
float		**submatrix(float **a, int oldrl, int oldrh, int oldcl, int oldch,
					    int newrl, int newcl);
float		**convert_matrix(float *a, int nrl, int nrh, int ncl, int nch);

void		free_vector(float *v, int nl, int nh);
void		free_ivector(int *v, int nl, int nh);
void		free_dvector(double *v, int nl, int nh);
void		free_matrix(float **m, int nrl, int nrh, int ncl, int nch);
void		free_dmatrix(double **m, int nrl, int nrh, int ncl, int nch);
void		free_imatrix(int **m, int nrl, int nrh, int ncl, int nch);
void		free_submatrix(float **b, int nrl, int nrh, int ncl, int nch);
void		free_convert_matrix(float **b, int nrl, int nrh, int ncl, int nch);

